## org.apache.jasper.compiler
Class ParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.servlet.ServletException
                        |
                        +--org.apache.jasper.JasperException
                              |
                              +--org.apache.jasper.compiler.ParseException

All Implemented Interfaces:
  java.io.Serializable

public class ParseException
extends JasperException

Class for parser exceptions.

Author:
  Anil K. Vijendran
See Also:
  Serialized Form

Constructor Summary
`ParseException(Mark m, java.lang.String reason)`
`ParseException(java.lang.String reason)`

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException(Mark m,
                          java.lang.String reason)

### ParseException

    public ParseException(java.lang.String reason)

Copyright © 2000 Apache Software Foundation. All Rights Reserved.